<?php

/**
 * @file
 * Plugin manager for Dream fields.
 */

namespace Drupal\dream_fields;

use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;

/**
 * Plugin manager for Dream fields.
 */
class DreamFieldsPluginManager extends DefaultPluginManager {

  /**
   * {@inheritdoc}
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/DreamField', $namespaces, $module_handler, 'Drupal\dream_fields\DreamFieldPluginInterface', 'Drupal\dream_fields\Annotation\DreamField');
    $this->alterInfo('dream_fields_info');
    $this->setCacheBackend($cache_backend, 'dream_fields');
  }

}
